searchData={"items":[{"type":"module","title":"ExMgrs","doc":"A library for converting between latitude/longitude coordinates and MGRS (Military Grid Reference System) coordinates.\n\nThis module provides functions to convert between decimal degree coordinates (latitude/longitude)\nand MGRS coordinate strings using the WGS84 ellipsoid.","ref":"ExMgrs.html"},{"type":"function","title":"ExMgrs.latlon_to_mgrs/3","doc":"Converts latitude/longitude coordinates to MGRS format.","ref":"ExMgrs.html#latlon_to_mgrs/3"},{"type":"function","title":"Parameters - ExMgrs.latlon_to_mgrs/3","doc":"- `lat`: Latitude in decimal degrees (-90.0 to 90.0)\n- `lon`: Longitude in decimal degrees (-180.0 to 180.0)  \n- `precision`: Number of digits for easting/northing (1-5, default: 5)","ref":"ExMgrs.html#latlon_to_mgrs/3-parameters"},{"type":"function","title":"Returns - ExMgrs.latlon_to_mgrs/3","doc":"- `{:ok, mgrs_string}` on success\n- `{:error, reason}` on failure","ref":"ExMgrs.html#latlon_to_mgrs/3-returns"},{"type":"function","title":"Examples - ExMgrs.latlon_to_mgrs/3","doc":"iex> ExMgrs.latlon_to_mgrs(34.0, -118.24)\n    {:ok, \"11SLT8548562848\"}","ref":"ExMgrs.html#latlon_to_mgrs/3-examples"},{"type":"function","title":"ExMgrs.mgrs_to_latlon/1","doc":"Converts MGRS coordinates to latitude/longitude format.","ref":"ExMgrs.html#mgrs_to_latlon/1"},{"type":"function","title":"Parameters - ExMgrs.mgrs_to_latlon/1","doc":"- `mgrs`: MGRS coordinate string","ref":"ExMgrs.html#mgrs_to_latlon/1-parameters"},{"type":"function","title":"Returns - ExMgrs.mgrs_to_latlon/1","doc":"- `{:ok, {latitude, longitude}}` on success where coordinates are in decimal degrees\n- `{:error, {0.0, 0.0}}` on failure","ref":"ExMgrs.html#mgrs_to_latlon/1-returns"},{"type":"function","title":"Examples - ExMgrs.mgrs_to_latlon/1","doc":"iex> {:ok, {lat, lon}} = ExMgrs.mgrs_to_latlon(\"11SLT8548562848\")\n    ...> {Float.round(lat, 5), Float.round(lon, 5)}\n    {34.0, -118.24}","ref":"ExMgrs.html#mgrs_to_latlon/1-examples"},{"type":"module","title":"ExMgrs.Native","doc":"","ref":"ExMgrs.Native.html"},{"type":"function","title":"ExMgrs.Native.latlon_to_mgrs_nif/3","doc":"","ref":"ExMgrs.Native.html#latlon_to_mgrs_nif/3"},{"type":"function","title":"ExMgrs.Native.mgrs_to_latlon_nif/1","doc":"","ref":"ExMgrs.Native.html#mgrs_to_latlon_nif/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}